import { KafkaService } from "./services/kafka";
import { appName, kafkaSourceTopic } from "./conifg";
import { logger } from "./services/logger";
import { processOrderChainingEvent } from "./consumer/processOrderChainingEvent";

async function runOrderChainingConsumer(): Promise<void> {
  const kafka = new KafkaService();
  const consumer = kafka.getConsumer();
  const context = { logger };
  await consumer.connect();
  await consumer.subscribe({ topic: kafkaSourceTopic });
  await consumer.run({
      eachMessage: processOrderChainingEvent(context)
  });
}

export const app = (): void => {
  logger.trace({
    location: appName,
    message: `Starting ${appName}`
  });
  runOrderChainingConsumer();
};
