import { env } from "./env";
import { name, version as appVersion } from "../../package.json";

export const appBaseName = env.APP_NAME;
export const appName = `${env.DEPLOYMENT_ENVIRONMENT}-${appBaseName}`;
export const authUrl = env.AUTH_URL;
export const authClientId = env.AUTH_CLIENT_ID;
export const authClientSecret = env.AUTH_CLIENT_SECRET;
export const isLocal = env.DEPLOYMENT_ENVIRONMENT === "local";
export const isProduction = env.DEPLOYMENT_ENVIRONMENT === "prod";
export const kafkaBootstrapServers = env.KAFKA_BOOTSTRAP_SERVERS.split(",") || [];
export const kafkaGroupId = isLocal
  ? `${env.DEPLOYMENT_ENVIRONMENT}-${env.APP_NAME}-${Date.now()}`
  : `${env.DEPLOYMENT_ENVIRONMENT}-${name}`;
export const kafkaPassword = env.KAFKA_PASSWORD;
export const kafkaSaslMechanism = env.KAFKA_SASL_MECHANISM;
export const kafkaSourceTopic = env.KAFKA_SOURCE_TOPIC_NAME;
export const kafkaUsername = env.KAFKA_USERNAME;
export const logLevel = env.LOGGER_LEVEL;
export const nodeEnv = env.DEPLOYMENT_ENVIRONMENT;
export const usxDataBridgeApiKey = env.USX_DATA_BRIDGE_KEY;
export const usxDataBridgeApi = env.USX_DATA_BRIDGE_API;
export const version = appVersion;
