export const processOrderChainingEvent = (context: any) => async (data: any) => {
  const location = "processOrderChainingEvent";
  const { logger } = context;

  logger.trace("received event", data);

  const { topic, partition, message } = data;
  const { offset, timestamp, value } = message;
  const event = JSON.parse(value?.toString());
  logger.trace("Event", event);

  const eventId = `${topic}[${partition}|${offset}]/${timestamp}`;
  context.eventId = eventId;

  logger.trace({
    location,
    message,
    eventId,
    event
  });
};
