import { Kafka, Consumer, KafkaConfig } from "kafkajs";
import { appName, kafkaBootstrapServers, kafkaGroupId, kafkaPassword, kafkaSaslMechanism, kafkaUsername, nodeEnv } from "../conifg";

export class KafkaService {
    consumer: Consumer
    client: Kafka
    isConnected = false

    constructor() {
        const kafkaOptions: KafkaConfig = {
            clientId: kafkaGroupId,
            brokers: kafkaBootstrapServers,
            requestTimeout: 20000,
            connectionTimeout: 28000,
            retry: { initialRetryTime: 500 }
          };
          if (nodeEnv !== "local") {
            kafkaOptions.ssl = true;
            kafkaOptions.sasl = {
              mechanism: kafkaSaslMechanism,
              username: kafkaUsername,
              password: kafkaPassword
            };
          }
        this.client = new Kafka(kafkaOptions);
        this.consumer = this.client.consumer({ groupId: `${appName}-${nodeEnv}` });
    }

    getConsumer(): Consumer {
        return this.consumer;
    }
}
